filebeat.inputs:
- type: log
  enabled: true
  paths:
    - /var/log/*.log
  fields:
    log_type: application
    environment: production

output.elasticsearch:
  hosts: ["https://filebeat-es.internal:9200"]
  username: filebeat_user
  password: FilebeatYmlPassword2024!Secret
  api_key: filebeat-yml-api-key-abc123def456

# Database Configuration (EXPOSED)
database:
  host: filebeat-db.internal
  user: filebeat_user
  password: FilebeatYmlDbPass2024!Secret
  database: filebeat_production

